// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef SUBSCRIBERCOMPDEF_SUBSCRIBER_H
#define SUBSCRIBERCOMPDEF_SUBSCRIBER_H

/************************************************************
 Subscriber class header
 ************************************************************/

#include "subscriberCompdef/Pkg_subscriberCompdef.h"

#include "rclcpp_lifecycle/lifecycle_node.hpp"
#include "simple_msgs/msg/map.hpp"

// Include from Include stereotype (header)
#include <rclcpp/rclcpp.hpp>

// End of Include stereotype (header)

namespace ros2Library {
namespace rclcpp {
class CallbackGroup;
}
}
namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}
namespace ros2Library {
namespace rclcpp {
class Subscription;
}
}

namespace subscriberCompdef {

/************************************************************/
/**
 * 
 */
class Subscriber: public rclcpp_lifecycle::LifecycleNode {
public:

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_HandleMsg_;

  /**
   * 
   */
  rclcpp::Subscription<simple_msgs::msg::Map>::SharedPtr rMap_sub_;

  /**
   * 
   * @param commobj 
   */
  void fListening(const simple_msgs::msg::Map::SharedPtr /*in*/commobj);

  /**
   * 
   * @param options 
   */
  Subscriber(rclcpp::NodeOptions /*in*/options);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace subscriberCompdef

/************************************************************
 End of Subscriber class header
 ************************************************************/

#endif
